# React DayPicker v8

DayPicker is a date picker component for [React](https://reactjs.org).

```bash
$ npm install react-day-picker date-fns  # using npm
$ pnpm install react-day-picker date-fns # using pnpm
$ yarn add react-day-picker date-fns     # using yarn
```

<a href="https://www.npmjs.com/package/react-day-picker">
  <img src="https://img.shields.io/npm/v/react-day-picker.svg?style=flat-square" alt="npm version"/>
</a> <a href="http://npm-stat.com/charts.html?package=react-day-picker">
  <img src="https://img.shields.io/npm/dm/react-day-picker.svg?style=flat-square" alt="npm downloads"/>
</a> <a href="https://github.com/gpbl/react-day-picker/stargazers">
<img src="https://img.shields.io/github/stars/gpbl/react-day-picker?style=flat-square" alt="stars"/>
</a> <a href="https://github.com/sponsors/gpbl">
  <img src="https://img.shields.io/github/sponsors/gpbl?style=flat-square" alt="sponsors"/>
</a>

## Main features

- ☀️ Select days, ranges or whatever
- 🌎 Localizable into any language
- ➡️ Keyboard navigation
- ♿️ [WAI-ARIA](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA) support
- 🤖 Native TypeScript support
- 🧘‍♀️ using [date-fns](http://date-fns.org) as date library
- 🗓 Create multiple calendars
- 🎨 Easy to style and customize
- 📄 Native integration with input elements

## Documentation

- See ➡️ **[react-day-picker.js.org](http://react-day-picker.js.org)** for guides, examples and API reference.

<small>Looking for v7 docs? Go to <a href="https://react-day-picker-v7.netlify.app" target="_blank">react-day-picker-v7.netlify.app</a>.</small>
