import React from 'react';
import { DayPickerBase } from '../../types/DayPickerBase';
import { DayPickerSingleProps } from '../../types/DayPickerSingle';
import { DayClickEventHandler } from '../../types/EventHandlers';
/** Represents the value of a {@link SelectSingleContext}. */
export interface SelectSingleContextValue {
    /** The day that has been selected. */
    selected: Date | undefined;
    /** Event handler to attach to the day button to enable the single select. */
    onDayClick?: DayClickEventHandler;
}
/**
 * The SelectSingle context shares details about the selected days when in
 * single selection mode.
 *
 * Access this context from the {@link useSelectSingle} hook.
 */
export declare const SelectSingleContext: React.Context<SelectSingleContextValue | undefined>;
declare type SelectSingleProviderProps = {
    initialProps: DayPickerBase;
    children: React.ReactNode;
};
/** Provides the values for the {@link SelectSingleProvider}. */
export declare function SelectSingleProvider(props: SelectSingleProviderProps): JSX.Element;
declare type SelectSingleProviderInternal = {
    initialProps: DayPickerSingleProps;
    children: React.ReactNode;
};
export declare function SelectSingleProviderInternal({ initialProps, children }: SelectSingleProviderInternal): JSX.Element;
export {};
